
;Promenne
;count1	equ	0x21
;count2	equ	0x22
;count3	equ	0x23
;afisaj	equ	0x23
;count4	equ	0x24
;count5	equ	0x25
;count6	equ	0x26

;SERBUF	equ 0x27
;TMP0	equ 0x28
;CNT0	equ 0x29
;CNT1	equ 0x2A
;SERBUF2	equ	0x2B
;count7	equ	0x2C
;Pomocna	equ	0x31


;Vystupni piny PIC = Vstupy LCD
;#DEFINE sclk	LATD,6	;Hodiny
;#DEFINE sdta	LATD,0	;Data
;#DEFINE dorc	LATD,7	;D/C
;#DEFINE rset	LATD,1	;RESET
;#DEFINE enab	LATC,2	;Sce

#DEFINE sclk	LATD,6	;Hodiny
#DEFINE sdta	LATD,0	;Data
#DEFINE dorc	LATD,7	;D/C
#DEFINE rset	LATD,1	;RESET
#DEFINE enab	LATC,2	;Sce
#DEFINE lcdled	LATC,1	;LCDLED

LCD_Init ;Inicializace displeje

	bsf	dorc
	bsf	enab


	call lcres	;reset displeje
	movlw 21H	;set extins 
	movwf afisaj
	call	lccmd
	movlw .197	;Vop 
	movwf afisaj
	call	lccmd
	movlw 13H	;bias
	movwf afisaj
	call	lccmd
	movlw 20H	;horizontalni zobrazeni
	movwf afisaj
	call	lccmd
	movlw 09H	;(vsechny zobrazovaci prvky jsou zapnuty)
	movwf afisaj
	call	cbild
	call	lccmd

	movlw 08H	;mod control blank 
	movwf afisaj
	call	lccmd

	movlw 0CH	;mod control normal 
	movwf afisaj
	call	lccmd
	movlw 40H	;x ini 
	movwf afisaj
	call	lccmd
	movlw 80H	;y ini
	movwf afisaj
	call	lccmd

return

CLEARLCD

	movlw 40H	;x ini 
	movwf afisaj
	call	lccmd
	movlw 80H	;y ini
	movwf afisaj
	call	lccmd

	movlw   .204
	movwf   count7
	call	emptylines
	movlw   .204
	movwf   count7
	call	emptylines
	movlw   .204
	movwf   count7
	call	emptylines
	movlw   .204
	movwf   count7
	call	emptylines
	movlw   .102
	movwf   count7
	call	emptylines
	movlw 40H	;x ini 
	movwf afisaj
	call	lccmd
	movlw 80H	;y ini
	movwf afisaj
	call	lccmd
return

Print_byte	;Odesle na LCD bajt ulozeny ve W

	movwf afisaj
	call	lcdta

return

Introduction_screen ;Uvodni obrazovka

	movlw   .33
	movwf   count7
	call	emptylines

	call	MM
	call	EE
	call	RR
	call	II
	call	CC

	movlw   .48
	movwf   count7
	call	emptylines

	call	RR
	call	AA
	call	DD
	call	II
	call	OO
	call	AA
	call	KK
	call	TT
	call	II
	call	VV
	call	II
	call	TT
	call	YY

	movlw   .41
	movwf   count7
	call	emptylines

	movlw b'10000000'
	movwf afisaj
	call	lcdta
	call	empty
	call	SS
	call	empty
	call	GG
	call	PP
	call	SS
	movlw   .39
	movwf   count7
	call	emptylines
	call	LOGO
return


lcdta	bsf	dorc
	bcf	enab ;activare chip si start date
	call	varsa
	bsf	enab
	retlw	00

lccmd	bcf	dorc
	bcf	enab ;activare chip si start date
	call	varsa
	bsf	enab
	retlw	00

lcres	bcf	rset ;resetare
	call	pause
	call	pause
	bsf	rset ;dezactivare reset
	retlw	00


varsa	movlw 08H	
	movwf count4
vbit	bcf	sclk
	btfsc afisaj,7	;bit0
	bsf	sdta
	btfss afisaj,7
	bcf	sdta
	call	halta
	bsf	sclk
	call	halta
	rlcf	afisaj,1
	decfsz count4
	goto	vbit
	retlw	00
cbild	bcf	sdta
	movlw   .6
	movwf   count3
c3	movlw   .84
	movwf   count1
c1	movlw   .8  
	movwf   count2
	bsf	dorc
	bcf	enab 
c2	bcf	sclk
	nop
	nop
	bsf	sclk
	decfsz  count2	
	goto 	c2
	bsf	enab 		
	decfsz  count1	
	goto 	c1		
	decfsz  count3    
	goto  c3          
	retlw 	00
pause
	movlw   .100
	movwf   count3
d3	movlw   .200
	movwf   count1
d1	movlw   .255	  
	movwf   count2
d2	decfsz  count2	
	goto 	d2		
	decfsz  count1	
	goto 	d1		
	decfsz  count3    
	goto  d3          
	retlw 	00
halta
	movlw   02H	;20H
	movwf   count1
e1	movlw   03H ;40H
	movwf   count2 
e2	decfsz  count2	
	goto 	e2		
	decfsz  count1	
	goto 	e1		
	retlw	00

mezera

	movlw 0x00
	movwf afisaj
	call	lcdta

return


AA

	movlw b'11111000'
	movwf afisaj
	call	lcdta

	movlw b'00101100'
	movwf afisaj
	call	lcdta

	movlw b'00100010'
	movwf afisaj
	call	lcdta

	movlw b'00101100'
	movwf afisaj
	call	lcdta

	movlw b'11111000'
	movwf afisaj
	call	lcdta

	call	mezera

return

BB

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01101100'
	movwf afisaj
	call	lcdta

	call	mezera

return

CC
	movlw b'01111100'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'01000100'
	movwf afisaj
	call	lcdta

	call	mezera
return

HH
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	call	mezera

return

MM
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'0000100'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'00000100'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	call	mezera

return

NN
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'0001000'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00100000'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	call	mezera

return


SS
	movlw b'01001100'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01100100'
	movwf afisaj
	call	lcdta

	call	mezera

return

LL
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	call	mezera

return

GG
	movlw b'01111100'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01100100'
	movwf afisaj
	call	lcdta

	call	mezera

return

OO
	movlw b'01111100'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'01111100'
	movwf afisaj
	call	lcdta

	call	mezera
return

JJ
	movlw b'01100000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'01111110'
	movwf afisaj
	call	lcdta

	call	mezera
return


PP
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00001100'
	movwf afisaj
	call	lcdta

	call	mezera
return


II
	movlw b'00000000'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'00000000'
	movwf afisaj
	call	lcdta

	call	mezera
return



RR
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00110010'
	movwf afisaj
	call	lcdta

	movlw b'01010010'
	movwf afisaj
	call	lcdta

	movlw b'10001100'
	movwf afisaj
	call	lcdta

	call	mezera
return

QQ

	movlw b'01111100'
	movwf afisaj
	call lcdta

	movlw b'10000010'
	movwf afisaj
	call lcdta

	movlw b'10100010'
	movwf afisaj
	call lcdta

	movlw b'01000010'
	movwf afisaj
	call lcdta

	movlw b'10111100'
	movwf afisaj
	call lcdta

	call mezera

return


UU

	movlw b'01111110'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'01111110'
	movwf afisaj
	call lcdta

	call mezera

return


XX

	movlw b'11000110'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'00010000'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'11000110'
	movwf afisaj
	call lcdta

	call mezera

return


ZZ

	movlw b'11000010'
	movwf afisaj
	call lcdta

	movlw b'10100010'
	movwf afisaj
	call lcdta

	movlw b'10010010'
	movwf afisaj
	call lcdta

	movlw b'10001010'
	movwf afisaj
	call lcdta

	movlw b'10000110'
	movwf afisaj
	call lcdta

	call mezera

return


DD
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'01111100'
	movwf afisaj
	call	lcdta

	call	mezera
return

EE
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	call	mezera
return

KK
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00101000'
	movwf afisaj
	call	lcdta

	movlw b'01000100'
	movwf afisaj
	call	lcdta

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	call	mezera
return

TT
	movlw b'00000010'
	movwf afisaj
	call	lcdta

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	call	mezera
return

VV

	movlw b'00111110'
	movwf afisaj
	call	lcdta

	movlw b'01000000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'01000000'
	movwf afisaj
	call	lcdta

	movlw b'00111110'
	movwf afisaj
	call	lcdta

	call	mezera
return

YY

	movlw b'00001110'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'11100000'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00001110'
	movwf afisaj
	call	lcdta

	call	mezera
return

WW

	movlw b'01111110'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'01110000'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw b'01111110'
	movwf afisaj
	call	lcdta

	call	mezera
return


FF
	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00010010'
	movwf afisaj
	call	lcdta

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	call	mezera
return

mi
	movlw b'11111000'
	movwf afisaj
	call	lcdta

	movlw b'01000000'
	movwf afisaj
	call	lcdta

	movlw b'01000000'
	movwf afisaj
	call	lcdta

	movlw b'00111000'
	movwf afisaj
	call	lcdta

	movlw b'01000000'
	movwf afisaj
	call	lcdta

	call	mezera
return

mhh

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'11110000'
	movwf afisaj
	call	lcdta

	call	mezera
return


mll

	call mezera

	movlw b'10000010'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta
	call	mezera
	call	mezera
return

mmm

	movlw b'11111000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'11110000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'11110000'
	movwf afisaj
	call	lcdta

	call	mezera
return

mnn

	movlw b'11111000'
	movwf afisaj
	call	lcdta

	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'11110000'
	movwf afisaj
	call	lcdta

	call	mezera
return

mii

	call mezera

	movlw b'10001000'
	movwf afisaj
	call	lcdta

	movlw b'11111010'
	movwf afisaj
	call	lcdta

	movlw b'10001000'
	movwf afisaj
	call	lcdta
	call	mezera
	call	mezera
return

maa

	movlw b'01000000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'11110000'
	movwf afisaj
	call lcdta

	call mezera

return

mbb

	movlw b'11111110'
	movwf afisaj
	call lcdta

	movlw b'10010000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'01110000'
	movwf afisaj
	call lcdta

	call mezera

return

mcc

	movlw b'01110000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'01000000'
	movwf afisaj
	call lcdta

	
	call mezera

return


mdd

	movlw b'01110000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10010000'
	movwf afisaj
	call lcdta

	movlw b'11111110'
	movwf afisaj
	call lcdta

	call mezera

return


mee

	movlw b'01110000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10101000
	movwf afisaj
	call lcdta

	movlw b'00110000'
	movwf afisaj
	call lcdta

	call mezera

return
mff

	movlw b'00010000'
	movwf afisaj
	call lcdta

	movlw b'11111100'
	movwf afisaj
	call lcdta

	movlw b'00010010'
	movwf afisaj
	call lcdta

	movlw b'00000010'
	movwf afisaj
	call lcdta

	movlw b'00000100'
	movwf afisaj
	call lcdta

	call mezera

return


mgg

	movlw b'00011000'
	movwf afisaj
	call lcdta

	movlw b'10100100'
	movwf afisaj
	call lcdta

	movlw b'10100100'
	movwf afisaj
	call lcdta

	movlw b'10100100'
	movwf afisaj
	call lcdta

	movlw b'01111100'
	movwf afisaj
	call lcdta

	call mezera

return

mjj

	movlw b'01000000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'01111010'
	movwf afisaj
	call lcdta

	call mezera
	call mezera

return

mkk

	movlw b'11111110'
	movwf afisaj
	call lcdta

	movlw b'00100000'
	movwf afisaj
	call lcdta

	movlw b'01010000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta


	call mezera
	call mezera

return

moo

	movlw b'01110000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'01110000'
	movwf afisaj
	call lcdta

	call mezera

return

mpp

	movlw b'11111000'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'00010000'
	movwf afisaj
	call lcdta

	call mezera

return

mqq

	movlw b'00010000'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'00101000'
	movwf afisaj
	call lcdta

	movlw b'00110000'
	movwf afisaj
	call lcdta

	movlw b'11111000'
	movwf afisaj
	call lcdta

	call mezera

return

mrr

	movlw b'11111000'
	movwf afisaj
	call lcdta

	movlw b'00010000'
	movwf afisaj
	call lcdta

	movlw b'00001000'
	movwf afisaj
	call lcdta

	movlw b'00001000'
	movwf afisaj
	call lcdta

	movlw b'00010000'
	movwf afisaj
	call lcdta

	call mezera

return

mss

	movlw b'10010000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'01000000'
	movwf afisaj
	call lcdta

	call mezera

return

mtt

	movlw b'00001000'
	movwf afisaj
	call lcdta

	movlw b'01111110'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'01000000'
	movwf afisaj
	call lcdta

	call mezera

return

muu

	movlw b'01111000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'01000000'
	movwf afisaj
	call lcdta

	movlw b'11111000'
	movwf afisaj
	call lcdta

	call mezera

return

mvv

	movlw b'00111000'
	movwf afisaj
	call lcdta

	movlw b'01000000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'01000000'
	movwf afisaj
	call lcdta

	movlw b'00111000'
	movwf afisaj
	call lcdta

	call mezera

return

mww

	movlw b'01111000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'01100000'
	movwf afisaj
	call lcdta

	movlw b'10000000'
	movwf afisaj
	call lcdta

	movlw b'01111000'
	movwf afisaj
	call lcdta

	call mezera

return

mxx

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'01010000'
	movwf afisaj
	call lcdta

	movlw b'00100000'
	movwf afisaj
	call lcdta

	movlw b'01010000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	call mezera

return

myy

	movlw b'00011000'
	movwf afisaj
	call lcdta

	movlw b'10100000'
	movwf afisaj
	call lcdta

	movlw b'10100000'
	movwf afisaj
	call lcdta

	movlw b'10100000'
	movwf afisaj
	call lcdta

	movlw b'01111000'
	movwf afisaj
	call lcdta

	call mezera

return

mzz

	movlw b'10001000'
	movwf afisaj
	call lcdta

	movlw b'11001000'
	movwf afisaj
	call lcdta

	movlw b'10101000'
	movwf afisaj
	call lcdta

	movlw b'10011000'
	movwf afisaj
	call lcdta

	movlw b'10001000'
	movwf afisaj
	call lcdta

	call mezera

return



C0
	movlw b'01111100'
	movwf afisaj
	call	lcdta

	movlw b'11000010'
	movwf afisaj
	call	lcdta

	movlw b'10100010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01111100'
	movwf afisaj
	call	lcdta

	call	mezera
return

C1
	movlw b'00000000'
	movwf afisaj
	call	lcdta

	movlw b'00001000'
	movwf afisaj
	call	lcdta

	movlw b'10000100'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10000000'
	movwf afisaj
	call	lcdta

	call	mezera
return

C2
	movlw b'10001100'
	movwf afisaj
	call	lcdta

	movlw b'11000010'
	movwf afisaj
	call	lcdta

	movlw b'10100010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10001100'
	movwf afisaj
	call	lcdta

	call	mezera
return

C3
	movlw b'01000100'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01101100'
	movwf afisaj
	call	lcdta

	call	mezera
return

C4
	movlw b'00010000'
	movwf afisaj
	call	lcdta

	movlw b'00011000'
	movwf afisaj
	call	lcdta

	movlw b'10010100'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'10010000'
	movwf afisaj
	call	lcdta

	call	mezera
return

C5
	movlw b'01001110'
	movwf afisaj
	call	lcdta

	movlw b'10001010'
	movwf afisaj
	call	lcdta

	movlw b'10001010'
	movwf afisaj
	call	lcdta

	movlw b'10001010'
	movwf afisaj
	call	lcdta

	movlw b'01110010'
	movwf afisaj
	call	lcdta

	call	mezera
return

C6
	movlw b'01111100'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01100100'
	movwf afisaj
	call	lcdta

	call	mezera
return

C7
	movlw b'00000110'
	movwf afisaj
	call	lcdta

	movlw b'11000010'
	movwf afisaj
	call	lcdta

	movlw b'00110010'
	movwf afisaj
	call	lcdta

	movlw b'00001010'
	movwf afisaj
	call	lcdta

	movlw b'00000110'
	movwf afisaj
	call	lcdta

	call	mezera
return

C8
	movlw b'01101100'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01101100'
	movwf afisaj
	call	lcdta

	call	mezera
return

C9
	movlw b'00001100'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'10010010'
	movwf afisaj
	call	lcdta

	movlw b'01101100'
	movwf afisaj
	call	lcdta

	call	mezera
return

antena

	movlw b'00000110'
	movwf afisaj
	call	lcdta

	movlw b'00001010'
	movwf afisaj
	call	lcdta

	movlw b'11111110'
	movwf afisaj
	call	lcdta

	movlw b'00001010'
	movwf afisaj
	call	lcdta

	movlw b'00000110'
	movwf afisaj
	call	lcdta

	call	mezera
return

zvuk

	movlw b'00011000'
	movwf afisaj
	call	lcdta

	movlw b'00011000'
	movwf afisaj
	call	lcdta

	movlw b'00100100'
	movwf afisaj
	call	lcdta

	movlw b'01000010'
	movwf afisaj
	call	lcdta

	movlw b'11111111'
	movwf afisaj
	call	lcdta

	call	mezera
return

save

	movlw b'10101000'
	movwf afisaj
	call	lcdta

	movlw b'11111100'
	movwf afisaj
	call	lcdta

	movlw b'11111100'
	movwf afisaj
	call	lcdta

	movlw b'11111100'
	movwf afisaj
	call	lcdta

	movlw b'10101000'
	movwf afisaj
	call	lcdta

	call	mezera
return

senddata

	movlw b'00101000'
	movwf afisaj
	call	lcdta

	movlw b'01101000'
	movwf afisaj
	call	lcdta

	movlw b'11101110'
	movwf afisaj
	call	lcdta

	movlw b'00101100'
	movwf afisaj
	call	lcdta

	movlw b'00101000'
	movwf afisaj
	call	lcdta

	call	mezera
return

lomitko

	call mezera

	movlw b'11000000'
	movwf afisaj
	call	lcdta

	movlw b'00110000'
	movwf afisaj
	call	lcdta

	movlw b'00001100'
	movwf afisaj
	call	lcdta

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	call	mezera
return

tecka

	call	mezera
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	call	mezera
return


dvojtecka

	call mezera

	movlw b'01001000'
	movwf afisaj
	call	lcdta
	call	mezera
	call	mezera
return

delta

	movlw b'11000000'
	movwf afisaj
	call	lcdta

	movlw b'10100000'
	movwf afisaj
	call	lcdta

	movlw b'10010000'
	movwf afisaj
	call	lcdta

	movlw b'10100000'
	movwf afisaj
	call	lcdta

	movlw b'11000000'
	movwf afisaj
	call	lcdta

	call	mezera
return

stupen

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	movlw b'00000101'
	movwf afisaj
	call	lcdta

	movlw b'00000010'
	movwf afisaj
	call	lcdta

	call	mezera
return

empty

	call	mezera
	call	mezera
	call	mezera
	call	mezera
	call	mezera
	call	mezera
return

LOGO

;radek 1
	movlw   .21
	movwf   count7
	call	emptylines

	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'00100000'
	movwf afisaj
	call	lcdta
	movlw b'00011000'
	movwf afisaj
	call	lcdta
	movlw b'00000100'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw 0x00
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw b'00000100'
	movwf afisaj
	call	lcdta
	movlw b'00011000'
	movwf afisaj
	call	lcdta
	movlw b'01100000'
	movwf afisaj
	call	lcdta
	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw   .35
	movwf   count7
	call	emptylines
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'11100000'
	movwf afisaj
	call	lcdta
	movlw b'11110000'
	movwf afisaj
	call	lcdta
	movlw b'11100000'
	movwf afisaj
	call	lcdta
	movlw b'01000000'
	movwf afisaj
	call	lcdta
	movlw   .29
	movwf   count7
	call	emptylines

;radek 2

	movlw   .16
	movwf   count7
	call	emptylines
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'00100000'
	movwf afisaj
	call	lcdta
	movlw b'00011000'
	movwf afisaj
	call	lcdta
	movlw b'00000100'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw   .10
	movwf   count7
	call	emptylines
	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw b'00000110'
	movwf afisaj
	call	lcdta
	movlw b'00001000'
	movwf afisaj
	call	lcdta
	movlw b'00110000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw   .23
	movwf   count7
	call	emptylines

	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'11100000'
	movwf afisaj
	call	lcdta
	movlw b'11110000'
	movwf afisaj
	call	lcdta
	movlw b'11100000'
	movwf afisaj
	call	lcdta

	movlw b'01011100'
	movwf afisaj
	call	lcdta
	movlw b'00011110'
	movwf afisaj
	call	lcdta
	movlw b'00011110'
	movwf afisaj
	call	lcdta
	movlw b'10001110'
	movwf afisaj
	call	lcdta
	movlw b'10100001'
	movwf afisaj
	call	lcdta

	movlw b'01000011'
	movwf afisaj
	call	lcdta
	movlw b'00110001'
	movwf afisaj
	call	lcdta
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'01110000'
	movwf afisaj
	call	lcdta

	call mezera
	call mezera
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	call mezera
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	call mezera
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw   .18
	movwf   count7
	call	emptylines

;radek 3

	movlw   .11
	movwf   count7
	call	emptylines
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'01100000'
	movwf afisaj
	call	lcdta
	movlw b'00010000'
	movwf afisaj
	call	lcdta
	movlw b'11001100'
	movwf afisaj
	call	lcdta
	movlw b'11100011'
	movwf afisaj
	call	lcdta
	movlw b'11111000'
	movwf afisaj
	call	lcdta

	movlw b'11111100'
	movwf afisaj
	call	lcdta
	movlw b'11111110'
	movwf afisaj
	call	lcdta
	movlw b'11111111'
	movwf afisaj
	call	lcdta
	movlw b'11111110'
	movwf afisaj
	call	lcdta
	movlw b'11111100'
	movwf afisaj
	call	lcdta

	movlw b'11110000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	call mezera
	call mezera
	call mezera
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw b'11110000'
	movwf afisaj
	call	lcdta
	movlw b'11111100'
	movwf afisaj
	call	lcdta
	movlw b'11111111'
	movwf afisaj
	call	lcdta
	movlw b'11111110'
	movwf afisaj
	call	lcdta
	movlw b'11111100'
	movwf afisaj
	call	lcdta
	movlw b'11111000'
	movwf afisaj
	call	lcdta
	movlw b'11110001'
	movwf afisaj
	call	lcdta
	movlw b'11100110'
	movwf afisaj
	call	lcdta

	movlw b'10011000'
	movwf afisaj
	call	lcdta
	movlw b'00100000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta

	movlw   .19
	movwf   count7
	call	emptylines

	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw   .4
	movwf   count7
	call	emptylines




	movlw b'00000010'
	movwf afisaj
	call	lcdta
	movlw b'01100010'
	movwf afisaj
	call	lcdta
	movlw b'00110010'
	movwf afisaj
	call	lcdta
	movlw b'10010001'
	movwf afisaj
	call	lcdta
	movlw b'11000100'
	movwf afisaj
	call	lcdta
	movlw b'11100010'
	movwf afisaj
	call	lcdta
	movlw b'11011001'
	movwf afisaj
	call	lcdta
	movlw b'10111100'
	movwf afisaj
	call	lcdta

	movlw b'01111110'
	movwf afisaj
	call	lcdta
	movlw b'00111100'
	movwf afisaj
	call	lcdta
	movlw b'11011001'
	movwf afisaj
	call	lcdta
	movlw b'11100011'
	movwf afisaj
	call	lcdta
	movlw b'11110111'
	movwf afisaj
	call	lcdta
	movlw b'11100111'
	movwf afisaj
	call	lcdta
	movlw b'11001011'
	movwf afisaj
	call	lcdta
	movlw b'10011101'
	movwf afisaj
	call	lcdta
	movlw b'00111110'
	movwf afisaj
	call	lcdta
	movlw b'00111100'
	movwf afisaj
	call	lcdta


	movlw b'11011101'
	movwf afisaj
	call	lcdta
	movlw b'11101011'
	movwf afisaj
	call	lcdta
	movlw b'11100110'
	movwf afisaj
	call	lcdta
	movlw b'11000100'
	movwf afisaj
	call	lcdta
	movlw b'10010000'
	movwf afisaj
	call	lcdta
	movlw b'01100000'
	movwf afisaj
	call	lcdta
	movlw   .11
	movwf   count7
	call	emptylines

;radek 4

	movlw   .6
	movwf   count7
	call	emptylines
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'01100000'
	movwf afisaj
	call	lcdta
	movlw b'00010000'
	movwf afisaj
	call	lcdta
	movlw b'00001100'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	call mezera
	call mezera
	call mezera

	movlw   .8
	movwf   count7
dddd
	movlw b'00000111'
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	dddd

	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw b'10000001'
	movwf afisaj
	call	lcdta
	movlw b'11001110'
	movwf afisaj
	call	lcdta
	movlw b'11011111'
	movwf afisaj
	call	lcdta
	movlw b'11011111'
	movwf afisaj
	call	lcdta
	movlw b'11011111'
	movwf afisaj
	call	lcdta
	movlw b'11001110'
	movwf afisaj
	call	lcdta
	movlw b'10000001'
	movwf afisaj
	call	lcdta

	movlw   .9
	movwf   count7
ddddd
	movlw b'00000111'
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	ddddd

	call mezera
	call mezera
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw b'00001100'
	movwf afisaj
	call	lcdta
	movlw b'00010000'
	movwf afisaj
	call	lcdta
	movlw b'01100000'
	movwf afisaj
	call	lcdta
	movlw b'10000000'
	movwf afisaj
	call	lcdta

	movlw   .22
	movwf   count7
	call	emptylines
	movlw b'00001110'
	movwf afisaj
	call	lcdta
	movlw b'00111111'
	movwf afisaj
	call	lcdta
	movlw b'10011111'
	movwf afisaj
	call	lcdta
	movlw b'11101111'
	movwf afisaj
	call	lcdta
	movlw b'11110111'
	movwf afisaj
	call	lcdta
	movlw b'11111001'
	movwf afisaj
	call	lcdta
	movlw b'11111110'
	movwf afisaj
	call	lcdta
	movlw b'01111111'
	movwf afisaj
	call	lcdta
	movlw b'10111111'
	movwf afisaj
	call	lcdta
	movlw b'11011110'
	movwf afisaj
	call	lcdta
	movlw b'11101101'
	movwf afisaj
	call	lcdta
	movlw b'11110011'
	movwf afisaj
	call	lcdta
	movlw b'11110011'
	movwf afisaj
	call	lcdta
	movlw b'11101101'
	movwf afisaj
	call	lcdta
	movlw b'11011110'
	movwf afisaj
	call	lcdta
	movlw b'00111111'
	movwf afisaj
	call	lcdta
	movlw b'11111110'
	movwf afisaj
	call	lcdta
	movlw b'11111101'
	movwf afisaj
	call	lcdta

	movlw b'11111011'
	movwf afisaj
	call	lcdta
	movlw b'11110111'
	movwf afisaj
	call	lcdta
	movlw b'11101111'
	movwf afisaj
	call	lcdta
	movlw b'10011111'
	movwf afisaj
	call	lcdta
	movlw b'00111111'
	movwf afisaj
	call	lcdta
	movlw b'00001110'
	movwf afisaj
	call	lcdta

	movlw   .10
	movwf   count7
	call	emptylines



;radek 5

	call mezera
	movlw b'10000000'
	movwf afisaj
	call	lcdta
	movlw b'01100000'
	movwf afisaj
	call	lcdta
	movlw b'00010000'
	movwf afisaj
	call	lcdta
	movlw b'00001100'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw   .14
	movwf   count7
	call	emptylines

	movlw b'00010000'
	movwf afisaj
	call	lcdta
	movlw b'00111000'
	movwf afisaj
	call	lcdta
	movlw b'00111110'
	movwf afisaj
	call	lcdta

	movlw   .7
	movwf   count7
dddddd
	movlw b'01111111'
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	dddddd

	movlw b'00111110'
	movwf afisaj
	call	lcdta
	movlw b'00111000'
	movwf afisaj
	call	lcdta
	movlw b'00010000'
	movwf afisaj
	call	lcdta
	movlw   .12
	movwf   count7
	call	emptylines



	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw b'00000110'
	movwf afisaj
	call	lcdta
	movlw b'00001000'
	movwf afisaj
	call	lcdta
	movlw b'00110000'
	movwf afisaj
	call	lcdta
	movlw b'11000000'
	movwf afisaj
	call	lcdta
	movlw   .21
	movwf   count7
	call	emptylines

	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw b'00000111'
	movwf afisaj
	call	lcdta
	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw b'00001110'
	movwf afisaj
	call	lcdta
	movlw b'00001111'
	movwf afisaj
	call	lcdta

	movlw   .5
	movwf   count7
ddddddd
	movlw b'00011111'
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	ddddddd

	movlw b'00001111'
	movwf afisaj
	call	lcdta
	movlw b'00001111'
	movwf afisaj
	call	lcdta
	movlw b'00001110'
	movwf afisaj
	call	lcdta
	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw b'00000111'
	movwf afisaj
	call	lcdta
	movlw b'00000011'
	movwf afisaj
	call	lcdta
	movlw b'00000001'
	movwf afisaj
	call	lcdta
	movlw   .7
	movwf   count7
	call	emptylines

;radek 6

	movlw   .57
	movwf   count7
dddddddd
	movlw b'00000001'
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	dddddddd

return


emptylines
	  

ddd
	movlw 0x00
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	ddd
return

line

ddddddddd
	movlw b'00011000'
	movwf afisaj
	call	lcdta
	decfsz  count7,1	
	goto 	ddddddddd
return

